#include <SoftwareSerial.h>

#define RxD 1
#define TxD 2

#define DEBUG_ENABLED  1
 
SoftwareSerial blueToothSerial(RxD,TxD);

int led_matrix = 3;

void setupBlueToothConnection(){
  
  blueToothSerial.begin(9600); //Set BluetoothBee BaudRate to default baud rate 38400
  blueToothSerial.print("\r\n+STWMOD=0\r\n"); //set the bluetooth work in slave mode
  blueToothSerial.print("\r\n+STNA=HC-05\r\n"); //set the bluetooth name as "HC-05"
  blueToothSerial.print("\r\n+STOAUT=1\r\n"); // Permit Paired device to connect me
  blueToothSerial.print("\r\n+STAUTO=0\r\n"); // Auto-connection should be forbidden here
  
  delay(2000); // This delay is required.
  //blueToothSerial.print("\r\n+INQ=1\r\n"); //make the slave bluetooth inquirable 
  blueToothSerial.print("bluetooth connected!\n");
  
  delay(2000); // This delay is required.
  blueToothSerial.flush();
  
}

 
void setup(){ 
  
  pinMode(RxD, INPUT);
  pinMode(TxD, OUTPUT);
  
  setupBlueToothConnection();
 
  pinMode(led_matrix,OUTPUT);
  digitalWrite(led_matrix,HIGH);
 
} 
 
void loop(){ 
  
  char recived_char;
  char last_recived_char;
  
  while(1){
    
    //check if there's any data sent from the remote bluetooth shield
    if(blueToothSerial.available()){
      
      recived_char; = blueToothSerial.read();
      
      if( recived_char == '1' ){
        
        digitalWrite(led_matrix,HIGH);
        last_recived_char = recived_char;
        
      }
      else if( recived_char == '0' ){
        
          digitalWrite(led_matrix,LOW); 
          last_recived_char = recived_char;
          
      } 
       
    }
    
  }
  
} 
 
